
<ng-container *ngIf="(numObservable$ | async) as num">
  <h2>component-with-path-param {{numSnapshot}} / {{num}}</h2>

  <a [routerLink]="'/pathparam/' + (num - 1)">prev</a>
  <a [routerLink]="'/pathparam/' + (num + 1)">next</a>
</ng-container>
